org.apache.solr.highlight

## Class HtmlEncoder

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase
  - - org.apache.solr.highlight.HtmlEncoder

- All Implemented Interfaces:
    SolrInfoMBean, SolrEncoder, NamedListInitializedPlugin

      public class HtmlEncoder
      extends HighlightingPluginBase
      implements SolrEncoder

  Use the `SimpleHTMLEncoder`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `defaults, numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `Encoder` | `getEncoder(String fieldName, SolrParams params)` Return an `Encoder` appropriate for this field.

    - ### Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.highlight.SolrEncoder

      `init`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion`

- - ### Constructor Detail

    - #### HtmlEncoder

          public HtmlEncoder()

  - ### Method Detail

    - #### getEncoder

          public Encoder getEncoder(String fieldName,
                                    SolrParams params)

      Description copied from interface: `SolrEncoder`
      Return an `Encoder` appropriate for this field.
      Specified by:
        `getEncoder` in interface `SolrEncoder`
      Parameters:
        `fieldName` - The name of the field
        `params` - The params controlling Highlighting
      Returns:
        An appropriate `Encoder`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `HighlightingPluginBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.